
From: Yasunori Goto <y-goto@jp.fujitsu.com>

I found that (PAGES_PER_SECTION << PAGES_SHIFT) became 0 on ia64.

Signed-off-by: Yasunori Goto <y-goto@jp.fujitsu.com>
Signed-off-by: Andy Whitcroft <apw@shadowen.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/mmzone.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/mmzone.h~sparsemem-memory-model-fix-4 include/linux/mmzone.h
--- 25/include/linux/mmzone.h~sparsemem-memory-model-fix-4	2005-06-05 22:59:29.000000000 -0700
+++ 25-akpm/include/linux/mmzone.h	2005-06-05 22:59:29.000000000 -0700
@@ -450,7 +450,7 @@ extern struct pglist_data contig_page_da
 
 #define NR_MEM_SECTIONS	(1 << SECTIONS_SHIFT)
 
-#define PAGES_PER_SECTION       (1 << PFN_SECTION_SHIFT)
+#define PAGES_PER_SECTION       (1UL << PFN_SECTION_SHIFT)
 #define PAGE_SECTION_MASK	(~(PAGES_PER_SECTION-1))
 
 #if (MAX_ORDER - 1 + PAGE_SHIFT) > SECTION_SIZE_BITS
_
